Package org.apache.catalina.tribes.group

## Class GroupChannel.HeartbeatThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.catalina.tribes.group.GroupChannel.HeartbeatThread

- All Implemented Interfaces:
    `java.lang.Runnable`
  Enclosing class:
    GroupChannel

      public static class GroupChannel.HeartbeatThread
      extends java.lang.Thread

  If `Channel.getHeartbeat()==true` then a thread of this class is created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected GroupChannel` | `channel` |
    `protected static int` | `counter` |
    `protected boolean` | `doRun` |
    `protected long` | `sleepTime` |

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeartbeatThread​(GroupChannel channel, long sleepTime)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static int` | `inc()` |
    `void` | `run()` |
    `void` | `stopHeartbeat()` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### counter

          protected static int counter

    - #### doRun

          protected volatile boolean doRun

    - #### channel

          protected final GroupChannel channel

    - #### sleepTime

          protected final long sleepTime

  - ### Constructor Detail

    - #### HeartbeatThread

          public HeartbeatThread​(GroupChannel channel,
                                 long sleepTime)

  - ### Method Detail

    - #### inc

          protected static int inc()

    - #### stopHeartbeat

          public void stopHeartbeat()

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`